General
cancel
Showing results for 
Search instead for 
Did you mean: 

Installtion of IPv6 in HP-UX 11.11

 
Highlighted
Advisor

Installtion of IPv6 in HP-UX 11.11

Hi,

I want to install IPv6 in HP-UX11.11. I followed the procedure given in HP site for installation of IPv6.

https://software.hp.com/portal/swdepot/displayInstallInfo.do?productNumber=T1306AA#v1

In that software requirements when i downloaded one patch, it has a warning this patch is a critical update, use the latest version. if I want to download that patch it has given some other pathches to be installed along with that.

One more patch given below is not available in HP-site.
IPFilter A.03.05.14 (or later).

Then it is asking to copy all the software depots to one combo using swcopy. Below i sthe one given in HP-site.

See the swcopy(1M) man page for more information on combining installation depots.

But when i gave swcopy UI opene but i was couldnot add depots.

why HP has not given a clear procedure and not included all these patches in IPv6 software. as this will be easy for the user. The procedures and patch downloa are really complex.

Please help me how to proceed with IPv6 installtion.
6 REPLIES 6
Highlighted
Honored Contributor

Re: Installtion of IPv6 in HP-UX 11.11

Highlighted
Honored Contributor

Re: Installtion of IPv6 in HP-UX 11.11

What is the error when you try to swcopy?
usually it is a dependancy pb, so for instance to add PHNE_36125 ( replacing PHNE_35351 but has more dependancy)
swcopy -x enforce_dependencies=false \
-s $PWD/PHNE_36125.depot \* \@ \
$PWD/COMBO.depot

* PHNE_35351
swcopy -x enforce_dependencies=false \
-s $PWD/PHNE_35351.depot \* \@ \
$PWD/COMBO.depot
* PHNE_35453
swcopy -x enforce_dependencies=false \
-s $PWD/PHNE_35453.depot \* \@ \
$PWD/COMBO.depot

* IPFilter A.03.05.14 (or later)
If you don't use IPFilter you can chose to swremove it before installing IPV6 and patches
current version is A.11.11.15.01
https://h20392.www2.hp.com/portal/swdepot/try.do?productNumber=B9901AA

* PHNE_33704 (or later)
* IPv6NCF11i.depot
* HP-UX IPSec A.02.01.01 (or later)
If you don't use IPSec you don't need it.

REM: never use -x enforce_dependencies=false with swinstall!!! or your system may be unrecoverable.
REM2: if at install, dependancy check is failing, add the missing patch to the depot, and reinstall - a solution being to make a bundle with all the dependencies solved.
- or ask for a bundle with needed patches to hp support

Highlighted
Advisor

Re: Installtion of IPv6 in HP-UX 11.11

Thanks,
I copied all the patches and IPv6 to a directory.
/tmp/depots/myfiles..

now i should copy all files in this to combo.depot.
Please give me detailed procedure how to copy all the patches and IPv6 to combo.depot.
and install IPv6.....

Thanks,
Highlighted
Honored Contributor

Re: Installtion of IPv6 in HP-UX 11.11

just use the swcopy command I just gave you with all the .depot
if you have all the depots in your /tmp/depots/myfiles directory:

for i in /tmp/depots/myfiles/*.depot
do
swcopy -x enforce_dependencies=false \
-s $i \* \@ /tmp/COMBO.depot
done

Then swinstall -x autoreboot=true -s \
/tmp/COMBO.depot \*
if you don't need IPfilter nor IPSEC and none of them is already installed
do swinstall -i -s /tmp/COMBO.depot
and select only the desired filesets.
Highlighted
Advisor

Re: Installtion of IPv6 in HP-UX 11.11

Hi,

Thanks for all your help.

I copied all the patches and dependent patches to a folder and did swcopy and in the UI i gave path and installed all patches first.

then gave swinstall and path for that... IPv6 was installed.....

Highlighted
Honored Contributor

Re: Installtion of IPv6 in HP-UX 11.11

Even if we don't make for it, it is usually a nice use to think about putting points to answers.
Best regards